### Hierarchy

- XmlComponent
  - Imprint

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- delete
- prepForXml

## Constructors

### constructor

- new Imprint(): Imprint

- Overrides XmlComponent.constructor

  - Defined in file/paragraph/run/formatting.ts:105

  #### Returns Imprint

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

Generated using TypeDoc